Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.gpuflux.scene.shading
Class FluxSpectrum.SpectralDiscretization

    java.lang.Object
      de.grogra.gpuflux.scene.shading.FluxSpectrum.SpectralDiscretization

Enclosing class:
  FluxSpectrum

    public static class FluxSpectrum.SpectralDiscretization

extends java.lang.Object

Constructor Summary
`FluxSpectrum.SpectralDiscretization(int spectralLambdaMin, int spectralLambdaMax, int spectralLambdaStep)`

Method Summary
`float[]` | `getDiscreteCumulativeSPD(SpectralCurve SPD)`
`float[]` | `getDiscreteNormalizedSPD(SpectralCurve SPD, float unit)`
`float[]` | `getDiscreteSPD(SpectralCurve SPD)`
`int` | `getLambdaBins()`
`int` | `getLambdaMax()`
`int` | `getLambdaMin()`
`int` | `getLambdaStep()`
`float` | `getSPDPower(SpectralCurve SPD)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FluxSpectrum.SpectralDiscretization

    public FluxSpectrum.SpectralDiscretization(int spectralLambdaMin,
                                               int spectralLambdaMax,
                                               int spectralLambdaStep)

Method Detail

### getDiscreteCumulativeSPD

    public float[] getDiscreteCumulativeSPD(SpectralCurve SPD)

### getDiscreteNormalizedSPD

    public float[] getDiscreteNormalizedSPD(SpectralCurve SPD,
                                            float unit)

### getDiscreteSPD

    public float[] getDiscreteSPD(SpectralCurve SPD)

### getLambdaBins

    public int getLambdaBins()

### getLambdaMax

    public int getLambdaMax()

### getLambdaMin

    public int getLambdaMin()

### getLambdaStep

    public int getLambdaStep()

### getSPDPower

    public float getSPDPower(SpectralCurve SPD)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD